routes/web.php
<?php

use App\Models\Banner;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BannerController;
use App\Http\Controllers\BanquetController;
use App\Http\Controllers\ServiceController;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\AmenitieController;
use App\Http\Controllers\FrontendController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [FrontendController::class, 'index']);
Route::get('about', [FrontendController::class, 'about'])->name('about');
Route::get('contact', [FrontendController::class, 'contact'])->name('contact');
Route::post('submit-contact-form', [FrontendController::class, 'submit']);
Route::get('gallery', [FrontendController::class, 'gallery'])->name('gallery');
Route::get('banquet/{slug}', [BanquetController::class, 'show']);

// Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
//     return view('dashboard');
// })->name('dashboard');

Route::prefix('admin')->group(function () {
    Route::middleware(['auth:sanctum', 'verified'])->group(function () {
        Route::get('/dashboard', function () {
            return view('admin.dashboard');
        })->name('dashboard');

        Route::resources([
            'banners' => BannerController::class,
            'banquet' => BanquetController::class,
            'service' => ServiceController::class,
            'amenitie' => AmenitieController::class,
            'setting' => SettingController::class,
        ]);
    });
});

app/Models/Banner.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Banner extends Model
{
    use HasFactory;
    protected $fillable = ['title1', 'title2', 'image', 'cta_link','cta', 'status'];
}

app/Http/Controllers/BannerController.php
<?php

namespace App\Http\Controllers;

use App\Models\Banner;
use Illuminate\Http\Request;

class BannerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $banners = Banner::all();
        return view('admin.banner.index', compact('banners'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.banner.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'title1' => 'required',
            'title2' => 'required',
            'image' => 'required',
        ]);
        $data = $request->all();
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = 'home-banner-'.time() . '.' . $image->getClientOriginalExtension();
            $image->move(public_path('ui/images/slider'), $imageName);
            $data['image'] = $imageName;
        }
        Banner::create($data);
        return redirect()->route('banners.index')->with('success', 'Banner created successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Banner  $banner
     * @return \Illuminate\Http\Response
     */
    public function show(Banner $banner)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Banner  $banner
     * @return \Illuminate\Http\Response
     */
    public function edit(Banner $banner)
    {
        return view('admin.banner.edit', compact('banner'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Banner  $banner
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Banner $banner)
    {
        $this->validate($request, [
            'title1' => 'required',
            'title2' => 'required',
        ]);
        $data = $request->all();

        $bnr = Banner::find($banner->id);

        if ($request->hasFile('image')) {
            if(\File::exists(public_path('ui/images/slider/'. $bnr->image))){
                \File::delete(public_path('ui/images/slider/'. $bnr->image));
            }
            $image = $request->file('image');
            $imageName = 'home-banner-'.time() . '.' . $image->getClientOriginalExtension();
            $image->move(public_path('ui/images/slider'), $imageName);
            $data['image'] = $imageName;
        }
        $bnr->update($data);
        return redirect()->route('banners.index')->with('success', 'Banner updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Banner  $banner
     * @return \Illuminate\Http\Response
     */
    public function destroy(Banner $banner)
    {
        return $banner;
    }
}

resources/views/admin/banner/create.blade.php
@extends('layouts.admin')
@section('content')
    <div class="dashboard-content">
        <div class="row">
            <!-- Listings -->
            <div class="col-lg-12 col-sm-12">
                <div id="add-listing">

                    <!-- Section -->
                    <form action="{{ route('banners.store') }}" method="post"  enctype='multipart/form-data'>
                        @csrf
                        <div class="add-listing-section">

                            <!-- Headline -->
                            <div class="add-listing-headline">
                                <h3><i class="sl sl-icon-doc"></i> Add New Home Banner</h3>
                            </div>
                            <!-- Title -->
                            <div class="row with-forms">
                                <div class="col-md-12">
                                    <label>Main Title <i class="tip"
                                            data-tip-content="main title of banner"></i></label>
                                    <input name="title1" class="search-field" type="text" placeholder="type here..." />
                                </div>
                            </div>

                            <!-- Row -->
                            <div class="row with-forms">

                                <!-- Status -->
                                <div class="col-md-6">
                                    <label>CTA<i class="tip"
                                            data-tip-content="Banner button text"></i></label>
                                    <input name="cta" class="search-field" type="text" placeholder="type here..." />
                                </div>

                                <!-- Type -->
                                <div class="col-md-6">
                                    <label>CTA link <i class="tip"
                                            data-tip-content="Banner button URL"></i></label>
                                    <input name="cta_link" type="text">
                                </div>

                            </div>
                            <div class="row with-forms">

                                <!-- Status -->
                                <div class="col-md-6">
                                    <label>Sub Title <i class="tip"
                                            data-tip-content="Sub title will show before of banner main title"></i></label>
                                    <input name="title2" class="search-field" type="text" placeholder="type here..." />
                                </div>

                                <!-- Type -->
                                <div class="col-md-6">
                                    <label>Image <i class="tip"
                                            data-tip-content="Maximum of 2MB Allowed"></i></label>
                                    <input name="image" type="file">
                                </div>

                            </div>
                            <!-- Row / End -->


                        </div>
                        <!-- Section / End -->
                        <button class="button preview" type="submit">Submit <i
                                class="fa fa-arrow-circle-right"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/banner/edit.blade.php
@extends('layouts.admin')
@section('content')
    <div class="dashboard-content">
        <div class="row">
            <!-- Listings -->
            <div class="col-lg-12 col-sm-12">
                <div id="add-listing">

                    <!-- Section -->
                    <form action="{{ url('admin/banners/'.$banner->id) }}" method="post"  enctype='multipart/form-data'>
                        {{method_field('PUT')}}
                        @csrf
                        <div class="add-listing-section">

                            <!-- Headline -->
                            <div class="add-listing-headline">
                                <h3><i class="sl sl-icon-doc"></i> Update Home Banner</h3>
                            </div>
                            <!-- Title -->
                            <div class="row with-forms">
                                <div class="col-md-6">
                                    <label>Main Title <i class="tip"
                                            data-tip-content="main title of banner"></i></label>
                                    <input name="title1" class="search-field" type="text" placeholder="type here..." value="{{$banner->title1}}" />
                                </div>
                                <div class="col-md-6">
                                    <label>Status </label>
                                        <select name="status" class="chosen-select-no-single">
                                            <option {{ $banner->status == '1' ? 'Selected' : '' }} value="1">Active</option>
                                            <option {{ $banner->status == '0' ? 'Selected' : '' }} value="0">Inactive</option>
                                        </select>
                                </div>
                            </div>

                            <!-- Row -->
                            <div class="row with-forms">

                                <!-- Status -->
                                <div class="col-md-6">
                                    <label>CTA<i class="tip"
                                            data-tip-content="Banner button text"></i></label>
                                    <input name="cta" class="search-field" type="text" placeholder="type here..." value="{{$banner->cta}}"/>
                                </div>

                                <!-- Type -->
                                <div class="col-md-6">
                                    <label>CTA link <i class="tip"
                                            data-tip-content="Banner button URL"></i></label>
                                    <input name="cta_link" type="text" value="{{$banner->cta_link}}">
                                </div>

                            </div>
                            <div class="row with-forms">

                                <!-- Status -->
                                <div class="col-md-6">
                                    <label>Sub Title <i class="tip"
                                            data-tip-content="Sub title will show before of banner main title"></i></label>
                                    <input name="title2" class="search-field" type="text" placeholder="type here..." value="{{$banner->title2}}"/>
                                </div>

                                <!-- Type -->
                                <div class="col-md-6">
                                    <label>Image <i class="tip"
                                            data-tip-content="Maximum of 2MB Allowed"></i></label>
                                    <input name="image" type="file">
                                </div>

                            </div>
                            <!-- Row / End -->


                        </div>
                        <!-- Section / End -->
                        <button class="button preview" type="submit">Submit <i
                                class="fa fa-arrow-circle-right"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/banner/index.blade.php
@extends('layouts.admin')
@section('content')
<div class="dashboard-content">
    <div class="row">
        <div class="col-lg-12 col-sm-12">
            <div class="dashboard-list-box dash-list margin-top-0">
                <a class="button preview" href="{{route('banners.create')}}">Add</a>
                <div class="row">
                    @foreach ($banners as $item)
                        <div class="col-sm-4"><!-- list start -->
                            <div class="list-box-listing">
                                <div class="list-box-listing-img">
                                    <a href="#"><img src="{{asset('ui/images/slider/'.$item->image)}}" alt=""></a>
                                </div>
                                <div class="list-box-listing-content">
                                    <div class="inner">
                                        <span>{{$item->title1}}</span>
                                        <a href="#"><h3>{!! html_entity_decode($item->title2)!!}</h3></a>
                                        <p></p>
                                    </div>
                                    <a href="{{url('admin/banners/'.$item->id.'/edit')}}" class="button gray"><i class="sl sl-icon-pencil"></i> Edit</a>
                                    <p>Status: @if ($item->status === 1)
                                        Active
                                        @else
                                        Inactive
                                    @endif</p>
                                </div>

                            </div>
                        </div><!-- list end -->
                    @endforeach
                </div>
            </div>
            </div>

    </div>
</div>
@endsection